Name:		python-oasa
Version:	0.13.1
Release:	18%{?dist}
Summary:	Python library for manipulation of chemical formats
License:	GPLv2+
URL:		http://bkchem.zirael.org
Source0:	http://bkchem.zirael.org/download/oasa-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python2-devel


%global _description\
Free python library for manipulating and analyzing chemical structures\


%description %_description

%package -n python2-oasa
Summary: %summary
%{?python_provide:%python_provide python2-oasa}

%description -n python2-oasa %_description

%prep
%setup -q -n oasa-%{version}


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}



%files -n python2-oasa
%doc PKG-INFO progress.log README
%{python2_sitelib}/oasa/
%{python2_sitelib}/oasa-%{version}-py*.egg-info



%changelog
* Wed Jul 25 2018 Gwyn Ciesla <limburgher@gmail.com> - 0.13.1-18
- Fix FTBFS.

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.13.1-16
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.13.1-15
- Python 2 binary package renamed to python2-oasa
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.13.1-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 5 2009 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.13.1-1
- This release of OASA includes several fixes, most notably of lockup during generation
of images of complex systems of fused rings. Also image generation now works much faster
for larger systems

* Thu Feb 24 2009 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.13.0-1
- cairo_out - double bonds in 3D rotated molecules look much better (z-coordinate is
taken into account when the bond is drawn)
smiles - smiles encoder did not prefix two digit ring numbers with "%%"
graph - SSSR code did not find really smallest rings in case no vertices with
degree 2 were present in the initial drawing (fullerene and such)
molecule - aromatic bond detection uses SSSR instead of all possible rings
when there are more then 10 smallest rings - fixes lockup for fullerene
cairo_out - when scaling != 1 the resulting image was improperly cropped


* Thu Feb 12 2009 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.12.7-1
- cairo_out - mols_to_cairo and mol_to_cairo convenience functions added
cairo_out - background was not properly painted (thanks to Noel O'Boyle for reporting this)


* Fri Jun 13 2008 Henrique (LonelySpooky) Junior <lspooky@fedoraproject.org> - 0.12.5-1
- initial package

